package com.xjrsoft.common.utils.excel;

import org.apache.poi.ss.util.CellRangeAddress;

/**
 * @author dzx
 * @date 2024/1/8
 */
public class CustomCellRangeAddress extends CellRangeAddress {

    //字体是否加粗
    private boolean isBlod;

    public boolean getIsBlod() {
        return isBlod;
    }

    public void setIsBlod(boolean blod) {
        isBlod = blod;
    }

    public CustomCellRangeAddress(int firstRow, int lastRow, int firstCol, int lastCol) {
        super(firstRow, lastRow, firstCol, lastCol);
    }

    public CustomCellRangeAddress(int firstRow, int lastRow, int firstCol, int lastCol, Boolean isBlod) {
        super(firstRow, lastRow, firstCol, lastCol);
        setIsBlod(isBlod);
    }

}
